package com.njcn.device.pms.service.ledgerManger;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.common.pojo.response.HttpResult;
import com.njcn.device.pms.pojo.param.PmsParkParam;
import com.njcn.device.pms.pojo.po.PmsMidLedger;
import com.njcn.device.pms.pojo.po.PmsParkPO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 园区表 服务类
 * </p>
 *
 * @author cdf
 * @since 2024-06-19
 */
public interface IPmsParkService extends IService<PmsParkPO> {


    Boolean addPark(PmsParkParam param);



    Boolean updatePark(PmsParkParam.UpdatePmsParkParam updatePmsParkParam);



    Page<PmsParkPO> pageList(PmsParkParam.PmsParkQuery parkQuery);



    Boolean uploadParkGw(@RequestBody List<String> objIds);



    Page<PmsMidLedger> pageStationList(PmsParkParam.PmsParkQuery param);

    List<PmsMidLedger> stationList(PmsParkParam.PmsParkQuery param);







}
